datablock WheeledVehicleData(Evo8Vehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./evo8.dts";
	emap = true;
	minMountDist = 3;

	handsOnVehicle = 1;
	
	isCustom=1;
    type="Evolution VIII";
   
    numMountPoints = 4;
    mountThread[0] = "sit";
    mountThread[1] = "sit";
	mountThread[2] = "sit";
    mountThread[3] = "sit";

	maxDamage = 200.00;
	destroyedLevel = 200.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0.1 0 0.65";

	maxSteeringAngle = 0.7;
	integration = 4;

	cameraRoll = false;
	cameraMaxDist = 9;
	cameraOffset = 3.5;
	cameraLag = 0.0;
	cameraDecay = 0.75;
	cameraTilt = 0.2;
	collisionTol = 0.1;
	contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	= evo8Wheel;
	defaultSpring = evo8Spring;

	numWheels = 4;

	mass = 300;
	density = 4.0;
	drag = 4.5;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed = 10.0;

	engineTorque = 2760;
	engineBrake = 400;
	brakeTorque = 3200;
	maxWheelSpeed = 55;

	rollForce = 400;
	yawForce = 600;
	pitchForce = 400;
	rotationalDrag = 0.09;

	steeringAutoReturn = true;
	steeringAutoReturnRate = 1;
	steeringAutoReturnMaxSpeed = 10;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.08;

	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = jeepSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = VehicleFoamDropletsEmitter;
	splashEmitter[1] = VehicleFoamEmitter;
	splashEmitter[2] = VehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;

	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;

	justcollided = 0;

	uiName = "Evolution VIII";
	rideable = true;
		lookUpLimit = 0.50;
		lookDownLimit = 0.50;

	paintable = true;
   
	damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;
	
	handsOnVehicle = 1;

	numDmgEmitterAreas = 1;

	initialExplosionProjectile = evo8ExplosionProjectile;
	initialExplosionOffset = 0;

	burnTime = 4000;

	finalExplosionProjectile = evo8FinalExplosionProjectile;
	finalExplosionOffset = 0.5;

	minRunOverSpeed    = 4;
	runOverDamageScale = 4;
	runOverPushScale   = 1.1;

	protectPassengersBurn   = true;
	protectPassengersRadius = true;
	protectPassengersDirect = true;
};

datablock WheeledVehicleData(Evo8RVehicle : Evo8Vehicle)
{
	shapeFile = "./evo8R.dts";
	uiName = "Evolution VIII Rally";
    type="Evolution VIII Rally";
	defaultTire	= evo8RWheel;
	defaultSpring = evo8RSpring;
	maxDamage = 200.00;
	destroyedLevel = 200.00;
	mass = evo8vehicle.mass-25;
	massCenter = "0.08 0 0.5";
    numMountPoints = 2;
    mountThread[0] = "sit";
    mountThread[1] = "sit";
	maxSteeringAngle = 0.8;
	drag = 2.25;
	engineTorque = evo8vehicle.engineTorque+220;
	brakeTorque = evo8vehicle.brakeTorque+300;
	engineBrake = evo8vehicle.engineBrake+100;
	maxWheelSpeed = evo8vehicle.maxWheelSpeed-15;
	yawForce = 400;
	rotationalDrag = 0.07;
};

datablock WheeledVehicleData(Evo8ZVehicle : Evo8Vehicle)
{
	shapeFile = "./evo8Z.dts";
	uiName = "Evolution VIII Street";
    type="Evolution VIII Street";
	defaultTire	= evo8ZWheel;
	defaultSpring = evo8ZSpring;
	maxDamage = 200.00;
	destroyedLevel = 200.00;
	mass = evo8vehicle.mass-25;
	massCenter = "0.08 0 0.5";
    numMountPoints = 2;
    mountThread[0] = "sit";
    mountThread[1] = "sit";
	maxSteeringAngle = 0.7;
	drag = 4.5;
	engineTorque = evo8vehicle.engineTorque+240;
	brakeTorque = evo8vehicle.brakeTorque+600;
	engineBrake = evo8vehicle.engineBrake+200;
	maxWheelSpeed = evo8vehicle.maxWheelSpeed+25;
	yawForce = 500;
	rotationalDrag = 0.09;
};

Garage_AddParts("add-ons/Vehicle_ModifiedEvo8/Evolution.txt");
Garage_AddParts("add-ons/Vehicle_ModifiedEvo8/EvolutionRally.txt");
Garage_AddParts("add-ons/Vehicle_ModifiedEvo8/EvolutionStreet.txt");

function Evo8Vehicle::onAdd(%this,%obj)
{
	Parent::onAdd(%this,%obj);
	%obj.hideNode(lhand);
	%obj.hideNode(rhand);
	%obj.hideNode(lhook);
	%obj.hideNode(rhook);
	%obj.schedule(0,garageDefault);
}

function Evo8RVehicle::onAdd(%this,%obj)
{
	Parent::onAdd(%this,%obj);
	%obj.hideNode(lhand);
	%obj.hideNode(rhand);
	%obj.hideNode(lhook);
	%obj.hideNode(rhook);
	%obj.schedule(0,garageDefault);
}

function Evo8ZVehicle::onAdd(%this,%obj)
{
	Parent::onAdd(%this,%obj);
	%obj.hideNode(lhand);
	%obj.hideNode(rhand);
	%obj.hideNode(lhook);
	%obj.hideNode(rhook);
	%obj.schedule(0,garageDefault);
}